Bug 114692 - /usr/share/control-center should be /usr/share/control-center-2.0
/usr/share/control-center should be /usr/share/control-center-2.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-31 11:21 EST by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 15:17:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-01-31 11:21:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.6)
Gecko/20040115 Epiphany/1.0.7

Description of problem:
xscreensaver installs some files in /usr/share/control-center-2.0 and
/usr/share/control-center.  I suppose this is to allow the software to
integrate with both GNOME 1.x and GNOME 2.x.  However, rawhide no
longer ships with control-center 1.  This presents two problems:

1.  Installing xscreensaver creates two directories that are not owned
by any RPM package: /usr/share/control-center and
/usr/share/control-center/Desktop.

2.  xscreensaver installs its screensaver description files (like
anemone.xml) in /usr/share/control-center/Desktop instead of
/usr/share/control-center-2.0/<something>.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
[mike@imp mike]$ rpm -qf /usr/share/control-center
/usr/share/control-center/Desktop/
file /usr/share/control-center is not owned by any package
file /usr/share/control-center/Desktop is not owned by any package
[mike@imp mike]$ rpm -q xscreensaver
xscreensaver-4.14-2

Additional info:
Comment 1 W. Michael Petullo 2004-03-29 20:12:17 EST
/usr/share/control-center/screensavers and
/usr/share/control-center/Desktop seem to be owned by the xscreensaver
package now.  But why is this stuff still in /usr/share/control-center
and not /usr/share/control-center-2.0?  
Comment 2 W. Michael Petullo 2004-07-16 23:19:50 EDT
This is still an issue in Fedora Core 3 Test 1.
Comment 3 Ray Strode [halfline] 2004-11-09 15:17:27 EST
Hi,
Should be fixed in rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.